Bug 826004 - [abrt] kernel: [270978.632457] WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0() usb/hid
[abrt] kernel: [270978.632457] WARNING: at lib/list_debug.c:30 __list_add+0x8...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:fe5678a7b2c673d5278141cd51f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 06:32 EDT by inte
Modified: 2012-09-06 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:57:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description inte 2012-05-29 06:32:43 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-4.fc16.x86_64 root=/dev/mapper/vg_andermatt-lv_root ro rd.lvm.lv=vg_andermatt/lv_swap rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=vg_andermatt/lv_root rd.luks.uuid=luks-8ca57ed3-fa9f-4578-92b9-2ecffe12415a LANG=en_US.UTF-8 i915.i915_enable_rc6=1
comment:        
kernel:         3.3.0-4.fc16.x86_64
reason:         [270978.632457] WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0()
time:           Sun 20 May 2012 06:32:59 PM CEST

backtrace:
:[270978.632457] WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0()
:[270978.632461] Hardware name: HP Pavilion dv5 Notebook PC     
:[270978.632464] list_add corruption. prev->next should be next (ffff88015301cb98), but was           (null). (prev=ffff88015301cb98).
:[270978.632468] Modules linked in: tcp_lp fuse ppdev parport_pc lp parport lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm fcoe libfcoe iw_cm ib_sa ib_mad ib_core ib_addr libfc scsi_transport_fc iscsi_tcp libiscsi_tcp scsi_tgt libiscsi scsi_transport_iscsi 8021q garp stp llc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec arc4 iwlwifi mac80211 snd_hwdep snd_seq snd_seq_device snd_pcm hp_wmi r8169 btusb bluetooth sparse_keymap uvcvideo videobuf2_core videodev hp_accel snd_timer snd cfg80211 soundcore snd_page_alloc media v4l2_compat_ioctl32 videobuf2_vmalloc lis3lv02d videobuf2_memops intel_ips mii iTCO_wdt iTCO_vendor_support i2c_i801 microcode serio_raw rfkill joydev input_polldev uinput sunrpc binfmt_misc xts gf128mul dm_crypt wmi i915 drm_kms_helper drm i2c_algo_bit
:i2c_core video [last unloaded: scsi_wait_scan]
:[270978.632570] Pid: 30, comm: khubd Tainted: G        W    3.3.0-4.fc16.x86_64 #1
:[270978.632573] Call Trace:
:[270978.632582]  [<ffffffff81057b1f>] warn_slowpath_common+0x7f/0xc0
:[270978.632586]  [<ffffffff81057c16>] warn_slowpath_fmt+0x46/0x50
:[270978.632592]  [<ffffffff812c3f95>] ? kobject_uevent_env+0x195/0x620
:[270978.632596]  [<ffffffff812d491f>] __list_add+0x8f/0xa0
:[270978.632605]  [<ffffffff815f1e06>] __mutex_lock_slowpath+0xa6/0x150
:[270978.632609]  [<ffffffff815f1cea>] mutex_lock+0x2a/0x50
:[270978.632616]  [<ffffffff81254cab>] debugfs_remove+0x3b/0x90
:[270978.632623]  [<ffffffff814aa68e>] hid_debug_unregister+0x3e/0x60
:[270978.632626]  [<ffffffff814aa978>] hid_destroy_device+0x38/0x60
:[270978.632631]  [<ffffffff814b7bdb>] usbhid_disconnect+0x2b/0x50
:[270978.632638]  [<ffffffff8141c0a2>] usb_unbind_interface+0x52/0x180
:[270978.632645]  [<ffffffff813a151c>] __device_release_driver+0x7c/0xe0
:[270978.632649]  [<ffffffff813a15ac>] device_release_driver+0x2c/0x40
:[270978.632653]  [<ffffffff813a0fc3>] bus_remove_device+0xe3/0x150
:[270978.632658]  [<ffffffff8139dd10>] device_del+0x120/0x1a0
:[270978.632662]  [<ffffffff81419cb0>] usb_disable_device+0xb0/0x250
:[270978.632666]  [<ffffffff81410db5>] usb_disconnect+0xa5/0x160
:[270978.632670]  [<ffffffff81410d84>] usb_disconnect+0x74/0x160
:[270978.632674]  [<ffffffff81413596>] hub_thread+0xa16/0x16a0
:[270978.632680]  [<ffffffff8107a6d0>] ? remove_wait_queue+0x50/0x50
:[270978.632684]  [<ffffffff81412b80>] ? usb_remote_wakeup+0x70/0x70
:[270978.632689]  [<ffffffff81079c83>] kthread+0x93/0xa0
:[270978.632695]  [<ffffffff815fd3e4>] kernel_thread_helper+0x4/0x10
:[270978.632699]  [<ffffffff81079bf0>] ? kthread_freezable_should_stop+0x70/0x70
:[270978.632703]  [<ffffffff815fd3e0>] ? gs_change+0x13/0x13
Comment 1 Dave Jones 2012-07-10 17:55:19 EDT
do you still see this in 3.4 ?
Comment 2 inte 2012-09-06 10:09:11 EDT
Nope haven't seen it since...
Sorry for my late reply!

Note You need to log in before you can comment on or make changes to this bug.